#.Connection.Databases
.SubCollection
C
Add
m

(Name)s
Remove
m

(Name)s
#.Connection.Tables
.SubCollection
C
Add
m
Table
(Name)s[(Type)s]
Remove
m

(Name)s
#.Connection.Users
.SubCollection
C
Add
m

(Name)s[(Password)s(Admin)b]
Remove
m

(Name)s
#.Result.Fields
.SubCollection
C
_next
m
ResultField

Count
r
i

#.SubCollection

C
Exist
m
b
(Key)s
Refresh
m


_free
m


_get
m
o
(Key)s
_next
m
o

Count
r
i

#.Table.Fields
.SubCollection
C
Add
m

(Name)s(Type)i[(Length)i(Default)v(Collation)s]
#.Table.Indexes
.SubCollection
C
Add
m

(Name)s(Fields)String[];[(Unique)b]
Remove
m

(Name)s
#Blob


_@_convert
C
p
?
_init
M


_free
m


Data
p
s

Length
r
i

#DB


Blob
C
i
-2
Boolean
C
i
1
Date
C
i
8
Float
C
i
7
Integer
C
i
4
Long
C
i
5
Serial
C
i
-1
String
C
i
9
Begin
M


Close
M


Commit
M


Create
M
Result
(Table)s[(Return)b]
Delete
M

(Table)s[(Request)s(Arguments).]
Edit
M
Result
(Table)s[(Request)s(Arguments).]
Exec
M
Result
(Request)s(Arguments).
Find
M
Result
(Table)s[(Request)s(Arguments).]
FormatBlob
M
s
(Data)s
Limit
M
Connection
(Limit)i
Open
M


Quote
M
s
(Name)s[(Table)b]
Rollback
M


Subst
M
s
(Format)s(Arguments).
Current
P
Connection

Databases
P
.Connection.Databases

Debug
P
b

IgnoreCharset
P
b

Tables
P
.Connection.Tables

Users
P
.Connection.Users

Charset
R
s

Collations
R
String[]

Error
R
i

FullVersion
R
s

Handle
R
p

LastInsertId
R
l

Opened
R
b

Version
R
i

#Database


Delete
m


_free
m


Connection
r
Connection

Name
r
s

System
r
b

#DatabaseUser


Delete
m


_free
m


Password
p
s

Administrator
r
b

Connection
r
Connection

Name
r
s

#Field


_free
m


Collation
r
s

Default
r
v

Length
r
i

Name
r
s

Table
r
Table

Type
r
i

#Index


_free
m


Fields
r
String[]

Name
r
s

Primary
r
b

Table
r
Table

Unique
r
b

#Result


All
m
Array
(Field)s
Delete
m

[(Keep)b]
MoveFirst
m
b

MoveLast
m
b

MoveNext
m
b

MovePrevious
m
b

MoveTo
m
b
(Index)i
Update
m


_free
m


_get
m
v
(Field)s
_next
m


_put
m

(Value)v(Field)s
Available
r
b

Connection
r
Connection

Count
r
i

Editable
r
b

Fields
r
.Result.Fields

Index
r
i

Length
r
i

Max
r
i

#ResultField


_free
m


Length
r
i

Name
r
s

Result
r
Result

Type
r
i

#Table


Update
m


_free
m


PrimaryKey
p
String[]

Type
p
s

Connection
r
Connection

Fields
r
.Table.Fields

Indexes
r
.Table.Indexes

Name
r
s

System
r
b

#_Connection

C
_Properties
C
s
Type,Host,Login,Password,Name,Port
Begin
m


Close
m


Commit
m


Create
m
Result
(Table)s[(Return)b(IfNotExist)b]
Delete
m

(Table)s[(Request)s(Arguments).]
Edit
m
Result
(Table)s[(Request)s(Arguments).]
Exec
m
Result
(Request)s(Arguments).
Find
m
Result
(Table)s[(Request)s(Arguments).]
FormatBlob
m
s
(Data)s
Limit
m
Connection
(Limit)i
Open
m


Quote
m
s
(Name)s[(Table)b]
Rollback
m


Subst
m
s
(Format)s(Arguments).
_free
m


_new
m


Databases
p
.Connection.Databases

Host
p
s

IgnoreCharset
p
b

Login
p
s

Name
p
s

Password
p
s

Port
p
s

Tables
p
.Connection.Tables

Timeout
p
i

Type
p
s

User
p
s

Users
p
.Connection.Users

Charset
r
s

Collations
r
String[]

Error
r
i

FullVersion
r
s

Handle
r
p

LastInsertId
r
l

Opened
r
b

Version
r
i

#Connection
_Connection
C
Url
r
s

SQL
r
SQLRequest

Options
p
Collection

'Return or set the connection options.
'
'These options are specific to the database type.
_new
m

[(DatabaseURL)s]
ApplyTemplate
m

(Template)s
GetTemplate
m
s

Copy
m
Connection

#Connections

C
Count
R
i

Key
R
s

Exist
M
b
(Name)s
_get
M
Connection
(Name)s
_next
M
Connection

Create
M
Connection
(Name)s
#SQLRequest

C
_new
m

(Connection)Connection;
Select
m
SQLRequest
[(Fields)v].
Delete
m
SQLRequest

From
m
SQLRequest
(Table)s
Where
m
SQLRequest
(Where)s.
OrderBy
m
SQLRequest
(OrderBy)v.
Or
m
SQLRequest

And
m
SQLRequest

Get
m
s

_call
m
s

